Kalo te përmbajtja kryesore

PostScript Driver (for Macintosh)

Download

End User License Agreement

Supported platforms

  • Mac OS X 10.5 or lower
  • Macintosh 9
  • Macintosh 7
  • Macintosh 8

Supported languages

  • French

Supported products

  • WorkCentre Pro 423Pi
  • WorkCentre Pro 428Pi
  • WorkCentre Pro 423
  • WorkCentre Pro 428

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation